import request from '@/utils/request'

// 查询师傅等级每月记录列表
export function listWorkerLevelLog(query) {
  return request({
    url: '/system/WorkerLevelLog/list',
    method: 'get',
    params: query
  })
}

// 查询师傅等级每月记录详细
export function getWorkerLevelLog(id) {
  return request({
    url: '/system/WorkerLevelLog/' + id,
    method: 'get'
  })
}

// 新增师傅等级每月记录
export function addWorkerLevelLog(data) {
  return request({
    url: '/system/WorkerLevelLog',
    method: 'post',
    data: data
  })
}

// 修改师傅等级每月记录
export function updateWorkerLevelLog(data) {
  return request({
    url: '/system/WorkerLevelLog',
    method: 'put',
    data: data
  })
}

// 删除师傅等级每月记录
export function delWorkerLevelLog(id) {
  return request({
    url: '/system/WorkerLevelLog/' + id,
    method: 'delete'
  })
}
